ConnectionHosesUpdateFix = {}

function ConnectionHosesUpdateFix.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(ConnectionHoses, specializations)
end

function ConnectionHosesUpdateFix.registerOverwrittenFunctions(vehicleType)
end

function ConnectionHosesUpdateFix.registerEventListeners(vehicleType)
	SpecializationUtil.registerEventListener(vehicleType, "onPostLoad", ConnectionHosesUpdateFix)
	SpecializationUtil.registerEventListener(vehicleType, "onPostUpdate", ConnectionHosesUpdateFix)
end


function ConnectionHosesUpdateFix:onPostLoad(savegame)
	ListUtil.removeElementFromList(self.vehicleType.eventListeners.onUpdateInterpolation, ConnectionHoses)
end

function ConnectionHosesUpdateFix:onPostUpdate(savegame)
	ConnectionHoses.onUpdateInterpolation(self, dt, isActiveForInput, isActiveForInputIgnoreSelection, isSelected)
end